Skip to main content

Assign a role to an enterprise role

PUT 

/nevisidm/api/core/v1/:clientExtId/eroles/:eroleExtId/roles/:roleExtId

Since: 2.75.2, 2.76.0

Required permission(s): AccessControl.EnterpriseRoleMemberCreate

Assigns the role with the given external ID to the enterprise role.

All user profiles that have this enterprise role assigned will automatically gain the newly added role. If the role is already assigned to the enterprise role, the request is silently ignored. NevisIDM internal roles cannot be assigned to enterprise roles.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    eroleExtId stringrequired

    External ID of the enterprise role.

    Example: erole-123
    roleExtId stringrequired

    External ID of the role to assign.

    Example: role-123

Responses

Role assigned successfully

Loading...